Bug 433219 - Review Request: ganyremote - GTK frontend for anyremote
Review Request: ganyremote - GTK frontend for anyremote
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 433135
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-17 13:45 EST by anyremote
Modified: 2008-05-07 05:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-07 05:43:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description anyremote 2008-02-17 13:45:24 EST
Spec URL:  http://downloads.sourceforge.net/anyremote/ganyremote-fedora.spec?use_mirror=osdn

SRPM URL: 
http://downloads.sourceforge.net/anyremote/ganyremote-2.6-2.fc8.src.rpm?use_mirror=osdn

Description: gAnyRemote package is GTK GUI frontend for anyRemote (http://anyremote.sourceforge.net/) - remote control on Linux 
through Bluetooth, InfraRed, Wi-Fi or TCP/IP connection.

This is additional review request for 433135
and I need a sponsor.
Comment 3 Mamoru TASAKA 2008-03-15 00:43:13 EDT
(Removing NEEDSPONSOR: bug 433135)
Comment 4 anyremote 2008-04-08 03:50:45 EDT
Is anyone interested in making code review ?
Comment 5 Mamoru TASAKA 2008-04-10 14:25:40 EDT
For 2.7-1:
* Spec file name
  - Spec file name must be ganyremote.spec .

* Requires
  - "pygtk2" has "Requires: python(abi) = 2.5" and
    "Requires: python >= 2.4" is not needed and should be removed.

  - /usr/bin/ganyremote has some extra dependency such as
-----------------------------------------------------------------
   222          ret = getResult('hcitool name '+data,'browser')
   250          elif (isInstalled('bluetooth-sendto') == 'OK'):
   251              sender = 'bluetooth-sendto --dest='
.....
-----------------------------------------------------------------
    Apparently ganyremote should have "Requires: bluez-utils"

* autotool call
  - build.log shows:
-----------------------------------------------------------------
    62  Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.30585
    63  + umask 022
    64  + cd /builddir/build/BUILD
    65  + cd ganyremote-2.7
    66  + LANG=C
    67  + export LANG
    68  + unset DISPLAY
    69  + rm -rf /var/tmp/ganyremote-2.7-1.fc9-root-mockbuild
    70  + make DESTDIR=/var/tmp/ganyremote-2.7-1.fc9-root-mockbuild install
    71  cd . && /bin/sh /builddir/build/BUILD/ganyremote-2.7/missing --run
aclocal-1.10 
    72  /builddir/build/BUILD/ganyremote-2.7/missing: line 54: aclocal-1.10:
command not found
    73  WARNING: `aclocal-1.10' is missing on your system.  You should only need
it if
    74           you modified `acinclude.m4' or `configure.in'.  You might want
    75           to install the `Automake' and `Perl' packages.  Grab them from
    76           any GNU archive site.
    77   cd . && /bin/sh /builddir/build/BUILD/ganyremote-2.7/missing --run
automake-1.10 --gnu 
-----------------------------------------------------------------
    Here autotools are called automatically, which is unwilling because
    this may change configure, makefiles in unwilling ways.
    This usually means that the timestamps of related files (i.e.
    configure{,in} etc) are wrong and this can usually be fixed
    by "touch"ing those files.

* desktop file directory
  - Don't install desktop files under other than %{_datadir}/applications

* desktop file Category
  - If you want that the group of this rpm should be "Applications/System",
    then the installed desktop file should have "System" category.

* Directory structure
  - Please move documents to under %_defaultdocdir (preferably 
    %_defaultdocdir/%name-%version, modification for %_bindir/%name is
    needed)
Comment 6 anyremote 2008-04-19 17:12:25 EDT
(In reply to comment #5)
Hope correct all of above.

Spec URL: 
http://downloads.sourceforge.net/anyremote/ganyremote.spec
SRPM URL:
http://downloads.sourceforge.net/anyremote/ganyremote-2.8-1.fc8.src.rpm
Comment 7 Mamoru TASAKA 2008-04-20 12:26:02 EDT
For 2.8-1:

* spec file name
  - Again the name of the spec file must be "ganyremote.spec".
  - Also change the permission of tarball in srpm to 0644.

* %doc
  - Files under %_defaultdocdir are automatically regarded
    as %doc.

Please fix above. After that I guess I can approve this
package.
Comment 8 anyremote 2008-04-20 13:58:33 EDT
(In reply to comment #7)
Hope i corrected all the issues.

Spec URL: 
http://downloads.sourceforge.net/anyremote/ganyremote.spec
SRPM URL:
http://downloads.sourceforge.net/anyremote/ganyremote-2.8-2.fc8.src.rpm
Comment 9 Mamoru TASAKA 2008-04-23 15:03:24 EDT
[tasaka1@localhost ganyremote]$ md5sum */*gz
614f3d8ab4858e47839182dd49fc6290  ganyremote-2.8-1.fc8/ganyremote-2.8.tar.gz
d25ab9d85db6e6ae2f2dd6062783bf8f  ganyremote-2.8-2.fc8/ganyremote-2.8.tar.gz

Would you explain what happened?
Comment 10 Mamoru TASAKA 2008-04-23 15:07:56 EDT
Note:
- You seem to be the upstream of ganyremote. If so, please don't modify
  the released tarball without changing the version.
  This makes a confusion on people who will compile/installl ganyremote
  by themselves.
Comment 11 anyremote 2008-04-24 02:11:25 EDT
(In reply to comment #9)
> Would you explain what happened?
ganyremote.spec is a part of *.tar.gz. So, if i change spec file,
then *tar.gz in *src.rpm is changed. I believe nothing more was changed.
Comment 12 Mamoru TASAKA 2008-04-24 03:13:40 EDT
Well, okay.

------------------------------------------------------------------------
     This package (ganyremote) is APPROVED by me
------------------------------------------------------------------------
Comment 13 anyremote 2008-04-24 05:24:51 EDT
New Package CVS Request
=======================
Package Name: ganyremote
Short Description: gAnyRemote package is GTK GUI frontend for anyRemote
Owners: anyremote
Branches: F-8, F-9
InitialCC: anyremote
Cvsextras Commits: yes
Comment 14 Kevin Fenzi 2008-04-24 12:27:06 EDT
I think the description here should be just: 

"GTK GUI frontend for anyRemote". I added it into the package database that way. 
Let me know if you disagree or would like it changed any. 

cvs done. 
Comment 15 anyremote 2008-04-25 16:45:16 EDT
I tried to run build ...
but something goes wrong (seems i made "make tag" several times)
Now i got:
----------------------------------------------
make tag
cvs tag  -c ganyremote-2_8-2_fc10
ERROR: Tag ganyremote-2_8-2_fc10 has been already created.
The following tags have been created so far
ganyremote-2_8-1_fc10:devel:anyremote:1209152554
ganyremote-2_8-1_fc9:F-9:anyremote:1209153297
ganyremote-2_8-2_fc9:F-9:anyremote:1209153884
ganyremote-2_8-2_fc10:devel:anyremote:1209154025
ganyremote-2_8-2_fc10:devel:anyremote:1209155226
cvs tag: Pre-tag check failed
cvs [tag aborted]: correct the above errors first!
make: *** [tag] Error 1
--------------------------------------------------

How to clean-up all the tags ?
Comment 16 anyremote 2008-04-25 17:08:56 EDT
But anyway "make build" works OK
Comment 17 Mamoru TASAKA 2008-04-26 02:08:35 EDT
If you want to re-tag, just bump release number.
If build is okay,
- For F-8 visit https://admin.fedoraproject.org/updates/
  and request to push your package to repository
- For F-9 visit https://admin.fedoraproject.org/updates/
  _later_. We cannot request to push  packages for now.

and close this bug as NEXTRELEASE.
Comment 18 anyremote 2008-05-06 14:02:29 EDT
So, should i close it now or after pushing to F-9 ?
Comment 19 Mamoru TASAKA 2008-05-06 14:11:56 EDT
You can close this bug now.

Note You need to log in before you can comment on or make changes to this bug.